[fix] Gtk-Message: Failed to load module “pk-gtk-module” Fedora 17

Fedora 17 cuenta con gtk3, como sabrán; muchos programas aún no han sido portados a esta nueva versión, por lo que al lanzarlos obtenemos un mensaje que dice:

Gtk-Message: Failed to load module "pk-gtk-module"

Para reparar esto, basta con instalar el módulo para gtk-2, para esto descargaremos el paquete que resolverá el problema:

Para 64 bits

$ wget http://dl.fedoraproject.org/pub/fedora/linux/releases/16/Fedora/x86_64/os/Packages/PackageKit-gtk-module-0.6.19-3.fc16.x86_64.rpm

$ rpm2cpio PackageKit-gtk-module-0.6.19-3.fc16.x86_64.rpm | cpio -idmv

$ su -c 'mv ./usr/lib64/gtk-2.0/modules/libpk-gtk-module.so /usr/lib64/gtk-2.0/modules/'

Para 32 bits

$ wget http://dl.fedoraproject.org/pub/fedora/linux/releases/16/Fedora/i386/os/Packages/PackageKit-gtk-module-0.6.19-3.fc16.i686.rpm

$ rpm2cpio PackageKit-gtk-module-0.6.19-3.fc16.i686.rpm | cpio -idmv

$ su -c 'mv ./usr/lib/gtk-2.0/modules/libpk-gtk-module.so /usr/lib/gtk-2.0/modules/'

Y con eso desaparece el mensaje 😉